---
obj: application
repo: https://github.com/hyprwm/hyprpaper
---
# Hyprpaper
Hyprpaper is a blazing fast wallpaper utility for [Hyprland](../desktops/hyprland.md) with the ability to dynamically change wallpapers through sockets. It will work on all wlroots-based compositors, though.

Features:
- Per-output wallpapers
- fill or contain modes
- fractional scaling support
- IPC for blazing fast wallpaper switches
- preloading targets into memory

## Usage
Run hyprpaper with `hyprpaper --config <config>`.
By default the config file at `~/.config/hypr/hyprpaper.conf` will be used.

## Configuration
The configuration file lets you use the following syntax:
preload

- `preload`
	This tells hyprpaper to load an image into memory.
	```
	preload = /path/to/image.png
	```
- `wallpaper`
	This tells hyprpaper what image to use on what monitor
	```
	wallpaper = monitor,/path/to/image.png
	```

So a final configuration file could look something like this:
```
preload = /path/to/image.png
preload = /path/to/next_image.png

wallpaper = monitor1,/path/to/image.png
wallpaper = monitor2,/path/to/next_image.png
```