---
obj: application
website: https://obsidian.md
android-id: md.obsidian
flatpak-id: md.obsidian.Obsidian
---

# Obsidian
Obsidian is a versatile and powerful note-taking and knowledge management application designed for individuals and teams. It utilizes a unique approach called "knowledge graph," enabling users to create, connect, and visualize their notes in a networked and intuitive manner.

## Features
### 1. **Markdown-Based**
Obsidian uses [Markdown](../../files/Markdown.md) for note creation, providing a simple and standardized way to format text. [Markdown](../../files/Markdown.md) allows users to focus on content creation without getting distracted by complex formatting options.
### 2. **Linking and Backlinking**
- **Bidirectional Linking:** Easily create links between notes to establish connections.
- **Backlinks:** View a list of all notes that link to the current note, facilitating a contextual understanding of information.
### 3. **Graph View**
- **Graph Visualization:** Visualize the interconnectedness of your notes in a graph format.
- **Node Preview:** Hover over nodes in the graph to preview content, providing a quick overview of linked information.
### 4. **Tagging and Organization**
- **Tagging System:** Apply tags to notes for efficient categorization and organization.
- **Folder Structure:** Organize notes in a traditional folder structure for a hierarchical view.
### 5. **Search and Filter**
- **Full-Text Search:** Quickly find relevant information using the powerful full-text search capability.
- **Filter Panes:** Filter notes based on tags, links, or other criteria for a focused view.
### 6. **Plugins and Customization**
- **Plugin Ecosystem:** Extend Obsidian's functionality with a variety of community-developed plugins.
- **Custom CSS:** Tailor the appearance of Obsidian using custom [CSS](../../internet/CSS.md) for a personalized experience.

#### Plugins
- [Advanced Tables](https://github.com/tgrosinger/advanced-tables-obsidian)
- [DataView](https://github.com/blacksmithgu/obsidian-dataview)
- [Templater](https://github.com/SilentVoid13/Templater)
- [Latex Suite](https://github.com/artisticat1/obsidian-latex-suite)