---
website: https://flatpak.org/
obj: application
---

# Flatpak
Flatpak is a software utility for package management on [Linux](../../linux/Linux.md) systems. It provides a consistent and secure environment for applications to run across different distributions, ensuring compatibility and ease of installation. Applications are sandboxed with bubblewrap.

## Key Concepts
### 1. Flatpak Repository
A Flatpak repository is a collection of applications bundled as Flatpak packages. These repositories can be hosted locally or on the internet. Flatpak relies on repositories to download and install applications.

### 2. Flatpak Package
A Flatpak package is a compressed archive containing the application, its dependencies, and metadata required for installation. These packages are sandboxed to ensure compatibility and security.

### 3. Flatpak Runtime
Runtimes are collections of libraries and services that applications can use. Flatpak uses runtimes to ensure that applications have access to the necessary dependencies without conflicting with the host system.

### 4. Flatpak Ref
A Flatpak ref is a specific version of a runtime or an application. It is identified by a unique hash, allowing multiple versions to coexist on a system.

## Usage
#refactor #notnow 
```shell
flatpak install <app> # Install applications
flatpak update # Update applications
flatpak uninstall <app> # Remove application
flatpak list # List installed applications
flatpak info <app> # Show info on app
```