---
obj: application
website: https://adguard.com/en/adguard-home/overview.html
---

# AdGuard
AdGuard Home is a network-wide software for blocking ads & tracking. It exposes a [DNS](../../internet/DNS.md) server and works similiarly to PiHole. You can also define custom [domain](../../internet/Domain.md) to IP mappings.

## Docker Compose
```yml
version: '3.3'
services:
    adguard:
        restart: unless-stopped
        volumes:
            - './config:/opt/adguardhome'
            - './certs:/certs'
        ports:
	    . # DNS
            - '53:53/tcp'
            - '53:53/udp'

          # Web UI
            - '3200:443/tcp'

            - '853:853/tcp'
            - '784:784/udp'
            - '853:853/udp'
            - '8853:8853/udp'
            - '5443:5443/tcp'
            - '5443:5443/udp'
        image: adguard/adguardhome
```

